// ****************************************************************************
// 
// VDTimer
// Copyright (C) 2005  Moitah (moitah@yahoo.com)
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// ****************************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VDTimer {
	public partial class frmTimeInput : Form {
		public frmTimeInput(string title) {
			InitializeComponent();

			this.Text = title;

			DateTime now = DateTime.Now;
			dtpStart.Value = now;
			dtpStop.Value = now;
		}

		public DateTime StartTime {
			get {
				return dtpStart.Value;
			}
			set {
				dtpStart.Value = value;
			}
		}

		public DateTime StopTime {
			get {
				return dtpStop.Value;
			}
			set {
				dtpStop.Value = value;
			}
		}

		public string Comment {
			get {
				return txtComment.Text;
			}
			set {
				txtComment.Text = value;
			}
		}

		private void btnOK_Click(object sender, EventArgs e) {
			if (StopTime > StartTime) {
				this.DialogResult = DialogResult.OK;
			}
			else {
				MessageBox.Show("Stop time must occur later than the start time.", "Error",
					MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}
	}
}